Name:           python-prettytable
Version:        0.7.2
Release:        18
Summary:        Display tabular data in a visually appealing ASCII table format.
License:        BSD
URL:            http://pypi.python.org/pypi/PrettyTable
Source0:        http://pypi.python.org/packages/source/P/PrettyTable/prettytable-%{version}.tar.gz

BuildArch:      noarch
%if 0%{?with_python2}
BuildRequires:  python2-devel python2-setuptools
%endif
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python-unversioned-command

%description
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%package_help

%if 0%{?with_python2}
%package -n python2-prettytable
Summary:    Display tabular data in a visually appealing ASCII table format
%{?python_provide:%python_provide python2-prettytable}

%description -n python2-prettytable
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.
This package is for python2.
%endif

%package -n python3-prettytable
Summary:    Display tabular data in a visually appealing ASCII table format.
%{?python_provide:%python_provide python3-prettytable}

%description -n python3-prettytable
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.
This package is for python3.

%prep
%autosetup -n prettytable-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%if 0%{?with_python2}
%{__python} setup.py build
%endif

pushd %{py3dir}
%{__python3} setup.py build
popd

%check
%if 0%{?with_python2}
%{__python} prettytable_test.py
%endif

pushd %{py3dir}
%{__python3} prettytable_test.py
popd


%install
%if 0%{?with_python2}
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%endif

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%files help
%defattr(-,root,root)
%doc README CHANGELOG

%if 0%{?with_python2}
%files -n python2-prettytable
%defattr(-,root,root)
%license COPYING
%{python_sitelib}/prettytable.py*
%{python_sitelib}/prettytable-%{version}*
%endif

%files -n python3-prettytable
%defattr(-,root,root)
%license COPYING
%{python3_sitelib}/prettytable.py*
%{python3_sitelib}/__pycache__/prettytable*
%{python3_sitelib}/prettytable-%{version}*

%changelog
* Wed Feb 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.7.2-18
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add macros of python-provides about python3

* Thu Jan 9 2020 hanxinke<hanxinke@huawei.com> - 0.7.2-17
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:sync community

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.7.2-16
- Package init
